unit Latein1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Menus;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    procedure Wrterbearbeiten1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Button1Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure Button3Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    error : boolean; //Beim Initialisieren ist ein Fehler aufgetreten, bitte Formular ohne desinitialisierung schliessen.
  end;

var
  Form1      : TForm1;

implementation

uses Latein3, Latein4, Latein7;

{$R *.DFM}

procedure TForm1.Wrterbearbeiten1Click(Sender: TObject);
begin
  Button1.Click;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Error := false;
  system.assign(f, 'latein2.dat');
  {$I-}
  reset(f);
  if IOResult <> 0 then begin
    rewrite(f);
    if IOResult <> 0 then begin
      ShowMessage('Die Wrterdatei kann nicht geffnet werden.');
      Error := true;
      Close;
    end;
  end;
  {$I+}
  Anzwoerter := 0;

  LoadLateinIni;
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  if Error then exit;
  system.close(f);
  SaveLateinIni;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Form2.ShowModal;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  close;
end;

procedure TForm1.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then Button4.Click;
  if Key = 'u' then Button3.Click;

  if Key = 'b' then Button1.Click;
  if Key = 'e' then Button1.Click;

  if Key = 'r' then Button2.Click;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Form3.ShowModal;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
  SaveLateinIni;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Form5.showmodal;
end;

end.
