unit Latein4;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Spin, Latein3;

type
  TForm3 = class(TForm)
    CheckBox1: TCheckBox;
    Panel1: TPanel;
    LD: TRadioButton;
    DL: TRadioButton;
    Panel2: TPanel;
    AlleBed: TRadioButton;
    Min1Bed: TRadioButton;
    Min2Bed: TRadioButton;
    Button1: TButton;
    Label1: TLabel;
    SpinEdit1: TSpinEdit;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure SpinEdit1KeyPress(Sender: TObject; var Key: Char);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure FormShow(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form3: TForm3;

implementation

uses Latein1, Latein5;

{$R *.DFM}

procedure TForm3.Button1Click(Sender: TObject);
begin
  Form1.Visible := false;
  Form3.Visible := false;
  Art := 1;
  LadeLektion(Spinedit1.Value);
  Form4.ShowModal;
  Form1.Visible := true;
  close;
end;

procedure TForm3.SpinEdit1KeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then begin
    Button1.SetFocus;
    Key := #0;
  end;
end;

procedure TForm3.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then begin Key := #0; close; end;
  if Key = #13 then begin
    if Spinedit1.Focused then begin
      Key := #0;
      Button1.SetFocus;
    end;
  end;
  if Key = 'n' then begin key := #0; button1.click end;
  if Key = 'f' then begin key := #0; button2.click end;
  if Key = 'p' then begin key := #0; button3.click end;
  if Key = 'o' then begin key := #0; button4.click end;
end;

procedure TForm3.FormShow(Sender: TObject);
begin
  Spinedit1.SetFocus;
  LoadLateinIni;
  Spinedit1.Value := IniDat.Lektion;
  LD.Checked := IniDat.LD;
  DL.Checked := not IniDat.LD;
  if IniDat.AnzBed = 1 then Min1Bed.Checked := true
  else if IniDat.AnzBed = 2 then Min2Bed.Checked := true
  else AlleBed.Checked := true;
  Checkbox1.Checked := IniDat.KoennenAnz;
end;

procedure TForm3.FormDeactivate(Sender: TObject);
begin
  IniDat.Lektion := Spinedit1.Value;
  IniDat.LD := LD.Checked;
  if Min1Bed.Checked then IniDat.AnzBed := 1
  else if Min2Bed.Checked then IniDat.AnzBed := 2
  else IniDat.AnzBed := 0;
  IniDat.KoennenAnz := Checkbox1.Checked;
  SaveLateinIni;
end;

procedure TForm3.Button2Click(Sender: TObject);
begin
  Form1.Visible := false;
  Form3.Visible := false;
  Art := 2;
  LadeLektion(Spinedit1.Value);
  Form4.ShowModal;
  Form1.Visible := true;
  close;
end;

procedure TForm3.Button3Click(Sender: TObject);
begin
  Form1.Visible := false;
  Form3.Visible := false;
  Art := 3;
  LadeLektion(Spinedit1.Value);
  Form4.ShowModal;
  Form1.Visible := true;
  close;
end;

procedure TForm3.Button4Click(Sender: TObject);
begin
  Form1.Visible := false;
  Form3.Visible := false;
  Art := 4;
  LadeLektion(Spinedit1.Value);
  Form4.ShowModal;
  Form1.Visible := true;
  close;
end;

end.
