unit resetlatein1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Spin;

type
  TForm1 = class(TForm)
    Button1: TButton;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}
type
  TWort = record
    Sprache : char; //z.B. 'L', 'F', 'E'
    Lektion : integer;
    L : string[80];
    D : string[80];
    H : string[80];
    KoennenTemp : byte; //1-4; temporr
    KoennenZuletzt : byte; //1-4; bleibend
    Koennen : array[1..4] of word;
    //[1] : Anzahl Male beim 1. Mal richtig
    //[2] : Anzahl Male beim 2. Mal richtig
    //[3] : Anzahl Male beim 3. Mal richtig
    //[4] : Anzahl Male nicht gewusst
    EingabeDatum         : TDateTime; //Wort eingegeben am ...
    BetrachtungsDatum    : TDateTime; //Zuletzt betrachtet oder gebt(dann = UebeDatum) am ...
    UebeDatum            : TDateTime; //Zuletzt gebt am ...
    AufAnhiebDatum       : TDateTime; //Zuletzt auf Anhieb richtig am ...
    AufAnhieb1Tag        : TDateTime; //" .. innerhalb von 24 Stunden
    AufAnhieb7Tage       : TDateTime; //" .. innerhalb einer Woche
    AufAnhieb30Tage      : TDateTime; //" .. innerhalb eines Monates
    FalschDatum          : TDateTime; //Zuletzt falsch eingegeben am ...
    AnzEingegebenTemp    : integer; //(temporr) so oft wurde das Wort schon eingegeben
  end;


procedure TForm1.Button1Click(Sender: TObject);
var f, f1 : file of TWort;
    w : TWort;
begin
  assignfile(f1, 'latein2.dat');
  assignfile(f, 'import.dat');
  reset(f);
  reset(f1);
  seek(f1, filesize(f1));
  while not eof(f) do begin
    read(f, w);
  with w do begin
    KoennenZuletzt := 4;
    KoennenTemp := 4;
    Koennen[1] := 0; //[1] : Anzahl Male beim 1. Mal richtig
    Koennen[2] := 0; //[2] : Anzahl Male beim 2. Mal richtig
    Koennen[3] := 0; //[3] : Anzahl Male beim 3. Mal richtig
    Koennen[4] := 0; //[4] : Anzahl Male nicht gewusst
    BetrachtungsDatum    := EingabeDatum; //Zuletzt betrachtet oder gebt(dann = UebeDatum) am ...
    UebeDatum            := EingabeDatum; //Zuletzt gebt am ...
    AufAnhiebDatum       := EingabeDatum; //Zuletzt auf Anhieb richtig am ...
    AufAnhieb1Tag        := EingabeDatum; //" .. innerhalb von 24 Stunden
    AufAnhieb7Tage       := EingabeDatum; //" .. innerhalb einer Woche
    AufAnhieb30Tage      := EingabeDatum; //" .. innerhalb eines Monates
    FalschDatum          := EingabeDatum;
    AnzEingegebenTemp    := 0;
  end;
    if w.Lektion = SpinEdit1.Value then write(f1, w);
  end;
  closefile(f);
  closefile(f1);
end;

end.
