unit Latein7;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, Spin, Latein3;

type
  TForm5 = class(TForm)
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    TrackBar1: TTrackBar;
    Label2: TLabel;
    Label3: TLabel;
    TrackBar2: TTrackBar;
    Label4: TLabel;
    TrackBar3: TTrackBar;
    Label5: TLabel;
    TrackBar4: TTrackBar;
    Label6: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure Button3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form5: TForm5;

implementation

uses Latein1, Latein4, Latein5, Latein8;

{$R *.DFM}

procedure TForm5.Button1Click(Sender: TObject);
var KleinsterWert : double;
    KleinsterWertWort : integer;

function WortWert(Wort : TWort) : double;
var w1, w2, w3, w4 : double;
    i              : integer;
begin
  //hier wird der Wert eines Wortes nach den eingestellten Kriterien berechnet.
  //fr jedes Kriterium wird ein Wert zwischen 0 und 1 ausgerechnet.
  //diese Werte werden dann mit der Prioritt des Kriteriums (0..10)
  //multipliziert.

  //TrackBar1: Alter
  //        2: Knnen
  //        3: Aktuallitt
  //        4: Zufall

  w1 := now - wort.uebedatum;
  if w1 > 100 {Tage} then w1 := 100;
  w1 := w1 / 100;

  i := wort.koennen[1] + wort.koennen[2] + wort.koennen[3] + wort.koennen[4];

  if i > 0 then
    w2 := (wort.koennen[1] + wort.koennen[2]) / i
  else
    w2 := 0;
  w2 := 1 - w2; //je schlechter man das Wort kann, um so grsser der Wert

  w3 := now - wort.EingabeDatum;
  if w3 > 100 then w3 := 100;
  w3 := w3 / 100;
  w3 := 1 - w3;

  w4 := random;

  result := TrackBar1.Position * w1 +
            Trackbar2.Position * w2 +
            Trackbar3.Position * w3 +
            Trackbar4.Position * w4;
end;

procedure KleinsterWertSuchen;
var i : integer;
    d : double;
begin
  KleinsterWert := WortWert(Woerter[0]);
  KleinsterWertWort := 0;
  for i := 1 to AnzWoerter - 1 do begin
    d := WortWert(Woerter[i]);
    if d < KleinsterWert then begin
      KleinsterWert := d;
      KleinsterWertWort := i;
    end;
  end;
end;

begin
  //begin Wrter manuell laden
  AnzWoerter := 0;
  seek(f, 0);
  while (not eof(f)) do begin
    read(f, Woerter[AnzWoerter]);
    if (Woerter[AnzWoerter].Sprache = AktiveSprache) then begin
      //Gefunden!
      if AnzWoerter < SpinEdit1.Value then begin
        inc(AnzWoerter);
        if AnzWoerter = SpinEdit1.Value then KleinsterWertSuchen;
      end else begin
        if WortWert(Woerter[AnzWoerter]) > KleinsterWert then begin
          //das Wort mit dem kleinsten Wert durch das neue ersetzen
          Woerter[KleinsterWertWort] := Woerter[AnzWoerter];
          KleinsterWertSuchen;
        end;
      end;
    end;
  end;
  move(Woerter, WoerterGeladen, sizeof(Woerter));
  AnzWoerterGeladen := AnzWoerter;
  //end Wrter manuell laden
  Form1.Visible := false;
  Form5.Visible := false;
  Art := 1;
  Form4.ShowModal;
  Form1.Visible := true;
  Form5.Visible := true;
end;

procedure TForm5.Button2Click(Sender: TObject);
begin
  close;
end;

procedure TForm5.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then close;
end;

procedure TForm5.Button3Click(Sender: TObject);
begin
  Form6.ShowModal;
end;

end.
