unit Latein8;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, Latein3;

type
  stattype = record
    x           : integer;
    AnzGeuebt   : longint;
    AnzGut      : longint;
    AnzMittel   : longint;
    AnzSchlecht : longint;
  end;

type
  TForm6 = class(TForm)
    Button1: TButton;
    PaintBox1: TPaintBox;
    Label1: TLabel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    procedure Button1Click(Sender: TObject);
    procedure PaintBox1Paint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure PaintBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormKeyPress(Sender: TObject; var Key: Char);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    a : array[8..65] of stattype;
    Max : stattype;
  end;

var
  Form6: TForm6;

implementation

{$R *.DFM}

procedure TForm6.Button1Click(Sender: TObject);
begin
  close;
end;

procedure TForm6.PaintBox1Paint(Sender: TObject);
var i : integer;
begin
  with PaintBox1.Canvas do begin
    for i := 8 to 65 do begin
      if RadioButton1.Checked then begin
        if a[i].AnzGeuebt > 0 then begin
          MoveTo(a[i].x, Paintbox1.height);
          LineTo(a[i].x, Paintbox1.height - round((a[i].AnzGeuebt / Max.AnzGeuebt) * Paintbox1.Height));
        end;
      end;
      if RadioButton2.Checked then begin
        if a[i].AnzGeuebt > 0 then begin
          Pen.Color := clGreen;
          MoveTo(a[i].x, Paintbox1.height);
          LineTo(a[i].x, Paintbox1.height - round((a[i].AnzGut / a[i].AnzGeuebt) * Paintbox1.Height));
          Pen.Color := clYellow;
          LineTo(a[i].x, Paintbox1.height - round(((a[i].AnzGut + a[i].AnzMittel) / a[i].AnzGeuebt) * Paintbox1.Height));
          Pen.Color := clRed;
          LineTo(a[i].x, Paintbox1.height - Paintbox1.Height);
          Pen.Color := clBlack;
        end;
      end;
    end;
  end;
end;

procedure TForm6.FormCreate(Sender: TObject);
var i : integer;
begin
  for i := 8 to 65 do with a[i] do begin
    x := round((PaintBox1.Width / (65 - 8 + 1)) * (i - 8) + 4);
    AnzGeuebt := 0;
  end;
  seek(f, 0);
  while (not eof(f)) do begin
    read(f, Woerter[AnzWoerter]);
    with Woerter[AnzWoerter] do begin
      if (Sprache = AktiveSprache) and (Lektion in [8..65]) then begin
        //Gefunden!
        inc(a[Lektion].AnzGeuebt, Koennen[1]);
        inc(a[Lektion].AnzGeuebt, Koennen[2]);
        inc(a[Lektion].AnzGeuebt, Koennen[3]);
        inc(a[Lektion].AnzGeuebt, Koennen[4]);

        inc(a[Lektion].AnzGut, Koennen[1]);
        inc(a[Lektion].AnzMittel, Koennen[2]);
        inc(a[Lektion].AnzMittel, Koennen[3]);
        inc(a[Lektion].AnzSchlecht, Koennen[4]);
      end;
    end;
  end;
  with Max do begin
    AnzGeuebt := 0;
    for i := 8 to 65 do begin
      if a[i].AnzGeuebt > AnzGeuebt then AnzGeuebt := a[i].AnzGeuebt;
    end;
  end;
end;

procedure TForm6.PaintBox1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var i : integer;
    s : string;
begin
  for i := 8 to 65 do begin
    if X + 3 < a[i].x then break;
  end;
  i := i - 1;
  if not (i in [8..65]) then i := 0;
  str(i, s);
  Label1.Caption := 'Lektion: ' + s;
end;

procedure TForm6.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #27 then close;
end;

procedure TForm6.RadioButton1Click(Sender: TObject);
begin
  Paintbox1.Refresh;
end;

procedure TForm6.RadioButton2Click(Sender: TObject);
begin
  Paintbox1.Refresh;
end;

end.
